VERSION 5.00
Object = "{4DE9E2A3-150F-11CF-8FBF-444553540000}#4.0#0"; "DLXOCX32.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox List2 
      Height          =   1425
      Left            =   2160
      TabIndex        =   4
      Top             =   1200
      Width           =   1455
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Acquire Single-ended"
      Height          =   495
      Left            =   2160
      TabIndex        =   3
      Top             =   240
      Width           =   1335
   End
   Begin VB.ListBox List1 
      Height          =   1425
      Left            =   240
      TabIndex        =   1
      Top             =   1200
      Width           =   1335
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Acquire Differential"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   1215
   End
   Begin DlsrLib.DriverLINXSR DriverLINXSR1 
      Left            =   3960
      Top             =   2640
      _Version        =   262144
      _ExtentX        =   741
      _ExtentY        =   741
      _StockProps     =   64
   End
   Begin VB.Label Label1 
      Caption         =   "Single-ended inputs"
      Height          =   375
      Left            =   2160
      TabIndex        =   5
      Top             =   840
      Width           =   1455
   End
   Begin VB.Label D 
      Caption         =   "Differential inputs"
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   840
      Width           =   1335
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim n As Integer
Dim result As Long
Dim localbuf(8) As Single
'This is an example of converting between single ended and
'differential inputs from code.  This was made for a KPCI-3104,
'but other boards would be similar.  This assumes channels 0-3
'are wired for differential, so logical channels 8-11 are
'unavailable.  Board should be configured for single-ended inputs
'in the DriverLINX configuration so that it recognizes channels
'8-15.
Private Sub Command1_Click()
With DriverLINXSR1
.Req_op = DL_START
.Req_mode = DL_INTERRUPT
.Req_subsystem = DL_AI
.Sel_buf_N = 1
.Sel_buf_samples = 4
.Sel_chan_N = 4
.Sel_chan_gainCodeList(0) = .DLGain2Code(-1) + CHAN_SEDIFF_DIFF
.Sel_chan_list(0) = 0
.Sel_chan_gainCodeList(1) = .DLGain2Code(-1) + CHAN_SEDIFF_DIFF
.Sel_chan_list(1) = 1
.Sel_chan_gainCodeList(2) = .DLGain2Code(-1) + CHAN_SEDIFF_DIFF
.Sel_chan_list(2) = 2
.Sel_chan_gainCodeList(3) = .DLGain2Code(-1) + CHAN_SEDIFF_DIFF
.Sel_chan_list(3) = 3
.Sel_buf_notify = DL_NOTIFY
.Evt_Str_type = DL_COMMAND
.Evt_Tim_type = DL_RATEEVENT
.Evt_Tim_rateChannel = DL_DEFAULTTIMER
.Evt_Tim_rateClock = DL_INTERNAL1
.Evt_Tim_rateGate = DL_DISABLED
.Evt_Tim_rateMode = DL_RATEGEN
.Evt_Tim_ratePeriod = .DLSecs2Tics(DL_INTERNAL1, 0.001)
.Evt_Stp_type = DL_TCEVENT
.Refresh
End With
showmessage DriverLINXSR1
End Sub

Private Sub Command2_Click()
With DriverLINXSR1
.Req_op = DL_START
.Req_mode = DL_INTERRUPT
.Req_subsystem = DL_AI
.Sel_buf_N = 1
.Sel_buf_samples = 8
.Sel_chan_N = 8
.Sel_chan_gainCodeList(0) = .DLGain2Code(-1) + CHAN_SEDIFF_SE
.Sel_chan_list(0) = 4
.Sel_chan_gainCodeList(1) = .DLGain2Code(-1) + CHAN_SEDIFF_SE
.Sel_chan_list(1) = 5
.Sel_chan_gainCodeList(2) = .DLGain2Code(-1) + CHAN_SEDIFF_SE
.Sel_chan_list(2) = 6
.Sel_chan_gainCodeList(3) = .DLGain2Code(-1) + CHAN_SEDIFF_SE
.Sel_chan_list(3) = 7
.Sel_chan_gainCodeList(4) = .DLGain2Code(-1) + CHAN_SEDIFF_SE
.Sel_chan_list(4) = 12
.Sel_chan_gainCodeList(5) = .DLGain2Code(-1) + CHAN_SEDIFF_SE
.Sel_chan_list(5) = 13
.Sel_chan_gainCodeList(6) = .DLGain2Code(-1) + CHAN_SEDIFF_SE
.Sel_chan_list(6) = 14
.Sel_chan_gainCodeList(7) = .DLGain2Code(-1) + CHAN_SEDIFF_SE
.Sel_chan_list(7) = 15
.Sel_buf_notify = DL_NOTIFY
.Evt_Str_type = DL_COMMAND
.Evt_Tim_type = DL_RATEEVENT
.Evt_Tim_rateChannel = DL_DEFAULTTIMER
.Evt_Tim_rateClock = DL_INTERNAL1
.Evt_Tim_rateGate = DL_DISABLED
.Evt_Tim_rateMode = DL_RATEGEN
.Evt_Tim_ratePeriod = .DLSecs2Tics(DL_INTERNAL1, 0.001)
.Evt_Stp_type = DL_TCEVENT
.Refresh
End With
showmessage DriverLINXSR1
End Sub

Private Sub DriverLINXSR1_BufferFilled(task As Integer, device As Integer, subsystem As Integer, mode As Integer, bufIndex As Integer)
If DriverLINXSR1.Sel_chan_N = 4 Then
List1.Clear
result = DriverLINXSR1.VBArrayBufferConvert(bufIndex, 0, 4, localbuf, DL_tSINGLE, 0, 0)
For n = 0 To 3
List1.AddItem (Str(localbuf(n)) & " " & Str(DriverLINXSR1.Sel_chan_list(n))) 'Display readings and channel numbers for differential inputs
Next n
Else
List2.Clear
result = DriverLINXSR1.VBArrayBufferConvert(bufIndex, 0, 8, localbuf, DL_tSINGLE, 0, 0)
For n = 0 To 7
List2.AddItem (Str(localbuf(n)) & " " & Str(DriverLINXSR1.Sel_chan_list(n))) 'Display readings and channel numbers for single-ended inputs
Next n
End If

End Sub

Private Sub Form_Load()
With DriverLINXSR1
.Req_DLL_name = "kpci3100"
.Req_op = DL_INITIALIZE
.Req_mode = DL_OTHER
.Req_subsystem = DL_DEVICE
.Req_device = 0
.Refresh
End With
showmessage DriverLINXSR1
End Sub

Sub showmessage(sr As Control)
sr.Req_op = DL_MESSAGEBOX
sr.Refresh
End Sub
